apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: bk-management-process
build:
  artifacts:
    - image: registry.gitlab.com/blauwe-knop/vorderingenoverzicht/bk-management-process
      docker:
        dockerfile: Dockerfile
  local:
    useBuildkit: true
    concurrency: 0
deploy:
  statusCheck: false
  helm:
    releases:
      - name: bk-management-process
        chartPath: helm
        namespace: bk-source-organization-manager
        setValues:
          ingress:
            hosts:
              - host: bk-management-process.bk-manager.source-organization.vorderingenoverzicht.blauweknop.bk
                paths:
                  - path: /
                    pathType: Prefix
                backend:
                  service:
                    name: bk-management-process
                    port:
                      name: http
          env:
            - name: SCHEME_DISCOVERY_URL
              value: "http://scheme-process.scheme-manager.vorderingenoverzicht.blauweknop.bk/v1"
            - name: BK_CONFIG_SERVICE_ADDRESS
              value: "http://bk-config-service:8008/v1"
            - name: BK_CONFIG_SERVICE_API_KEY
              value: "bk-config-service-api-key"
            - name: ORGANIZATION_NAME
              value: "Demo organisatie"
            - name: ORGANIZATION_OIN
              value: "0123456789"
            - name: ORGANIZATION_DISCOVERY_URL
              value: "http://service-discovery-api.demo.bk-manager.source-organization.vorderingenoverzicht.blauweknop.bk/.well-known/bk-configuration.json"
            - name: ORGANIZATION_LOGO_URL
              value: "https://blauweknop.app/images/rijks_logo_square.svg"